package org.rcisoft.bus.wmsgoodsstock.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.bus.wmsgoodsstock.entity.WmsGoodsStock;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年5月29日 下午1:21:49.
 */
public interface WmsGoodsStockService {

    /**
    * 保存 库存管理表
    * @param wmsGoodsStock
    * @return
    */
    CyPersistModel persist(WmsGoodsStock wmsGoodsStock);

    /**
    * 删除 库存管理表
    * @param wmsGoodsStock
    * @return
    */
    CyPersistModel remove(WmsGoodsStock wmsGoodsStock);

    /**
    * 逻辑删除 库存管理表
    * @param wmsGoodsStock
    * @return
    */
    CyPersistModel removeLogical(WmsGoodsStock wmsGoodsStock);

    /**
    * 修改 库存管理表
    * @param wmsGoodsStock
    * @return
    */
    CyPersistModel merge(WmsGoodsStock wmsGoodsStock);

    /**
    * 根据id查询 库存管理表
    * @param id
    * @return
    */
    WmsGoodsStock findById(int id);

    /**
    * 分页查询 库存管理表
    * @param wmsGoodsStock
    * @return
    */
    IPage<WmsGoodsStock> findAllByPagination(CyPageInfo<WmsGoodsStock> paginationUtility,
              WmsGoodsStock wmsGoodsStock);


    /**
    * 查询list 库存管理表
    * @param wmsGoodsStock
    * @return
    */
    List<WmsGoodsStock> findAll(WmsGoodsStock wmsGoodsStock);


    /**
    * 导出库存管理表
    * @return
    */
    List<WmsGoodsStock> export(WmsGoodsStock wmsGoodsStock);

}
